/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2020.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

import { Anchor } from "./Anchor";
import { Size } from "./Size";
import { Point } from "./Point";

/**
 * 设备item接口
 *
 * @author  郝建龙
 */
export interface Equip {
    /** ID   */
    ID?: string;
    /** 大小  */
    Size: Size;
    /** 名称  */
    Name?: string;
    /** 位置-equip中心点  */
    Pos: Point;
    /** 锚点位置    */
    AnchorList: Anchor[];
    /** 依赖的数据中心对象id */
    AttachID?: string;
    /** 类型  */
    Type?: string;
    /** 展示的图片路径or base64   */
    ImgSource?: string;
} // Interface Equip
